Skip to main content
GET
Retrieve Search Query Performance data at the keyword level for one ASIN (Amazon only)

Authorizations

x-api-key
string
header
required

Query Parameters

channelId
string
required

Channel (store) ID. Must be an Amazon seller or vendor channel.

merchantId
string
required

Merchant ID that owns the channel. URL-encode values containing spaces or '@'.

asin
string
required

ASIN to retrieve the keyword-level breakdown for.

fromDate
integer
required

Unix epoch time (seconds) representing the start of the reporting period. SQP data is only available at monthly granularity, so this is clipped to the start of its containing calendar month; the clipped date is returned as meta.dateRange.fromDate in the response.

toDate
integer
required

Unix epoch time (seconds) representing the end of the reporting period. SQP data is only available at monthly granularity, so this is clipped to the end of its containing calendar month; the clipped date is returned as meta.dateRange.toDate in the response.

priorFromDate
integer
required

Unix epoch time (seconds) representing the start of the comparison period. SQP data is only available at monthly granularity, so this is clipped to the start of its containing calendar month; the clipped date is returned as meta.dateRange.priorFromDate in the response.

priorToDate
integer
required

Unix epoch time (seconds) representing the end of the comparison period. SQP data is only available at monthly granularity, so this is clipped to the end of its containing calendar month; the clipped date is returned as meta.dateRange.priorToDate in the response.

timezone
string
required

IANA timezone identifier used to bucket the date range, for example Australia/Sydney.

pageIndex
integer
default:0

Zero-based page index (default 0).

Required range: x >= 0
pageSize
integer
default:25

Number of results per page (default 25, max 50).

Required range: 1 <= x <= 50
sortKey
enum<string>
default:searchQueryVolume

Field to sort by (default searchQueryVolume).

Available options:
searchQuery,
searchQueryVolume,
totalImpressions,
impressions,
impressionShare,
totalClicks,
clicks,
clickShare,
totalCtr,
ctr,
totalCartAdds,
cartAdds,
atcRate,
totalPurchases,
purchases,
purchaseShare,
totalCvr,
cvr,
currentRevenue,
opportunity
sortOrder
enum<string>
default:desc

Sort direction (default desc).

Available options:
asc,
desc
searchText
string

(Optional) Filter search queries containing this text (case-insensitive).

currency
string

3-letter ISO currency code to convert monetary values into (default USD).

Response

Successful operation

data
object[]
pagination
object
meta
object